#ifndef ERR_CODE_H
#define ERR_CODE_H


#define ZBCR_FAIL                     0   //返回失败
#define ZBCR_SUCCESS                  1   //返回成功
#define ZBCR_WRITE_ERROR             -1   //设备写失败
#define ZBCR_READ_TIMEOUT            -2   //读超时
#define ZBCR_READ_ERROR              -3   //读失败
#define ZBCR_INIT_FAIL               -4   //设备初始化失败
#define ZBCR_DEVICE_NOT_FOUND        -5   //设备未找到
#define ZBCR_DEVICE_BUSY             -6   //设备忙碌中
#define ZBCR_ILLEGAL_REPLY           -7   //设备非法应答	
#define ZBCR_DEVICE_IO_FAILED        -8   //通讯异常
#define ZBCR_OUT_OF_SIZE             -9
#define ZBCR_PARAM_POINT_NULL       -10   //参数指针为空
#define ZBCR_PARAM_INVALID          -11   //参数格式不正确
#define ZBCR_IMAGE_SIZE_WRONG       -12
#define ZBRC_FILE_NOT_FOUND         -13   //文件不存在
#define ZBCR_CRC_ERROR              -14
#define ZBCR_BSP_ILLEGAL            -15   //协议非法
#define ZBCR_OPEN_PER_DENIED        -30   //打开权限不足
#define ZBCR_NO_VENDOR_CMD          -20   //无支持的第三方命令
#endif
